// {} Librerías e importaciones

// ! Tabla
import Tabla from '../../elementos/tabla.js';

// {}
(() => {

  // ! Declaración de variables
  let peticion = {
    actual: null,
  };

  // !
  new Tabla({
		datos: {
      peticion: {
			  ruta: "../ejecutar",
			  parametro: {
				  procedimiento: 'p_traer_registros_combinados',
				  renglon: "CONCEPTOS",
			  },
      },
		},
		configuracion: {
			dom: `ft`,
		},
	}).inicializar();

  $('#tablaRegistros tbody').on('dblclick','tr', function(evento) {

    // + Condición para verificar si la
    // + petición existe y cancelarla
    peticion.actual && peticion.actual.abort();

    // + Petición hacia el
    // + controlador 'traerRegistros'
    peticion.actual = $.ajax({
      url: `${window.aplicacion.enlace}/ejecutar`,
      type: 'GET',
      data: {
        procedimiento: 'p_traer_unico_registro',
        renglon: 'CONCEPTO',
        id_renglon: $(evento.currentTarget).find('.id').text()
      },
      beforeSend: function (peticion, configuracion) {},
      success: function (respuesta,peticion, estado) {},
			error: function(peticion,estado) {},
			complete: function(peticion,estado) {},
      formulario: { elemento: formularioConceptos }

    });

  });

	$(document).on('ajaxSuccess', (evento, configuracion) => {

    if (
      window.aplicacion.peticion.formulario.elemento === formularioConceptos &&
      window.aplicacion.peticion.formulario.exitosa.propiedades === window.aplicacion.peticion.exitosa.propiedades
    )
      $('#tablaRegistros').DataTable().ajax.reload()

  })

})();
